Skip to Content
avatar image
Former Member

NWDS deployment error: Dependencies

Hi Team,

I am trying to make a end to end scenario involving PI and BPM

PI version: 7.5 SP10

NWDS: 7.5 SP10

But when I am trying to deploy it, through its giving me error:

How can i solve this problem?

Regards.

Add comment
10|10000 characters needed characters exceeded

  • Follow
  • Get RSS Feed

4 Answers

  • Best Answer
    May 09, 2018 at 08:11 AM

    Hi Cesar,

    It's complaining about tc~bpem~content~predefs~default.

    Check if you have Software Component BPEM-CONTENT installed in PO system.

    Best regards,

    Tom

    Add comment
    10|10000 characters needed characters exceeded

  • May 09, 2018 at 11:57 AM

    Hi Cesar,

    You can try to deploy the SCA via telnet as well.

    If you will get the same error then the issue is related to the deployment and not to the NWDS (in that case tag correction is needed).

    You can deploy it based on the following SAP KBA:
    ##1715441 - Deploy/Undeploy/Redeploy SCA/ SDA/ EAR/ WAR files on SAP servers:7.1, 7.2, 7.3, 7.4 and 7.5

    Best regards,
    Szabolcs

    Add comment
    10|10000 characters needed characters exceeded

    • Hi Cesar,

      Then most probably the error is related to the deployment or the SCAs / SDAs you are trying to deploy are incorrect.

      As I know these are some BPM SCAs so now I'm going to add BPM and NW JAVA server tags.

      But based on the error message as Tom already mentioned you have dependency error.

      Here you can find the list of the dependencies to NW 7.5: 2313256 - Required SCs for Specific Type of Development in SAP NetWeaver 7.5

      You can check which SCAs are installed on the system in the component information: 1757810 - How to get the complete list of software components on your NetWeaver Application Server Java

      Best regards,
      Szabolcs

  • May 10, 2018 at 09:22 PM

    Dear Cesar,

    Above exception is telling us that you are deploying an SCA or SDA that has dependency which is sap.com~tc~bpem~content~predefs~default.sda

    sap.com~tc~bpem~content~predefs~default.sda is part of BPEMCONTENT _ - .zip SCA.

    The best would be to deploy the correct version (which fits to your system the latest patch is recommended) of BPEMCONTENT SCA along with its dependencies. The appropriate version for your system based on the description is BPEMCONTENT10_0-80000582.SCA. You can download it from SCA. As there is no further patches only 0 there is no dependencies of this componen. For insurance you can check dependencies according to the note: 1974464 - Information on SCA Dependency Analysis for Java download objects. You can deploy BPEMCONTENT10_0-80000582.SCA with telnet as Szabolcs explained.

    After deploying the appropriate BPEMCONTENT SCA you can continue with the rest of components to deploy.

    In case it does not help please provide the deployment result of the BPEMCONTENT SCA and the current SP and patch version of this as well. Deployment result can be found in deploy.log files and the exception in case of problem in the deploy.trc files.

    Regards,
    Barnabás

    Add comment
    10|10000 characters needed characters exceeded

  • Jun 05, 2018 at 09:16 PM

    Hi,

    Hope you are doing good.
    Perhaps SAP KBA ##2640229 - How to find dependencies of a deployed SDA/SCA on SAP AS Java

    also will be useful here for more info on dependencies. Kindly check.

    Kind Regards,
    Hemanth Kumar |
    SAP Product Support

    Add comment
    10|10000 characters needed characters exceeded